Skip to main content
POST
/
minimax-s2v-01
/
async
curl --request POST \ --url https://api.modellix.ai/api/v1/minimax/minimax-s2v-01/async \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data ' { "subject_reference_images": [ "https://cdn.hailuoai.com/prod/2025-08-12-17/video_cover/1754990600020238321-411603868533342214-cover.jpg" ] } '
{ "success": true, "data": { "status": "pending", "task_id": "task-s2v-abc123", "model_id": "model-123", "get_result": { "method": "GET", "url": "https://api.modellix.ai/api/v1/tasks/task-s2v-abc123" } } }

Documentation Index

Fetch the complete documentation index at: https://docs.modellix.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API Key authentication. Format: Bearer YOUR_API_KEY.

Body

application/json
subject_reference_images
string[]
required

Subject reference image URLs. Supports publicly accessible HTTP/HTTPS URLs or Base64 Data URLs. Used to maintain the appearance characteristics of the reference subject in the generated video.

Required array length: 1 - 10 elements

Image URL or Base64 Data URL. Image format: JPG/JPEG/PNG/WebP, <20MB, recommended short side >300px.

Minimum string length: 1
Example:
["https://example.com/character.jpg"]
prompt
string

Video content description (optional). Describe the subject's actions, scenes, etc. Supports Chinese and English. Max 2000 characters.

Required string length: 1 - 2000
Example:

"A girl runs toward the camera and winks with a smile."

prompt_optimizer
boolean
default:true

Whether to automatically optimize the prompt. Default is true. Set to false for more precise control.

Example:

true

Response

Successful response with task ID

code
integer
required

Response code, 0 indicates success

Example:

0

message
string
required

Response message

Example:

"success"

data
object
required

Detailed data about the submitted asynchronous task.